Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface ExecutableBinary

    org.gradle.api.Buildable
      org.gradle.nativebinaries.ExecutableBinary
          org.gradle.language.base.Binary
              org.gradle.nativebinaries.NativeBinary
                  org.gradle.api.Named
                      org.gradle.language.base.BuildableModelElement

All Superinterfaces:
  Buildable, Binary, NativeBinary, Named, BuildableModelElement

    @Incubating
    public interface ExecutableBinary
    extends NativeBinary

A binary artifact that is built from of a Executable, targeted at a particular platform with specific configuration.

Method Summary
`Executable` | `getComponent()`

Methods inherited from interface NativeBinary
getBuildType, getComponent, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source

Methods inherited from interface Named
getName

Methods inherited from interface BuildableModelElement
builtBy, setLifecycleTask

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### getComponent

    public Executable getComponent()

Gradle API 1.10